Activities: OpenMeetings

mod_openmeetings
Maintained by meeSebastian Wagner, Picture of Michael WuttkeMichael Wuttke
OpenMeetings is a free browser-based software that allows you to set up instantly a conference in the Web. You can use your microphone and/or webcam, share documents on a white board, discuss in a chat, share your screen or record meetings. It is available as hosted service or you download and install a package on your own server.
929 sites
529 downloads
72 fans

No support in the comments section on this page

Please note that we don't provide any support for this plugin in the comments section on this page anymore. Please have a look at the github repository of this plugin.

With this integration and the current OpenMeetings version 4.x you can create different types of rooms and separated users in OpenMeetings with the access-level "SOAP-Only". The "SOAP-Only" user can do exactly what is needed to run the integration but nothing more. This does result in no need for any OpenMeetings Admin-User in the Moodle Module config! So you can better protect your OpenMeetings server from non-authorized access via the SOAP Gateway and no need to share confidential account data. "SOAP-Only" users can not login to OpenMeetings administration or manipulate user accounts via SOAP. OpenMeetings also supports access via https and ldap-/Active Directory- and OAuth2-Integration.

The latest OpenMeetings Moodle Module is for Moodle 3.x and is compatible only with OpenMeetings version 4.x. It is recommended to update to the latest version of OpenMeetings.

Sample Video showing the installation of the Moodle Module and integration with new access level:

The features of the OpenMeetings Moodle Plugin:
- Openmeetings rooms can be displayed inside a Moodle course in a frame, in a new window or can occucy the entire window
- Secure "SOAP-Only" user access level (see documentation on top)
- 3 Moderation Types for Conference Rooms (Moodle admins, teachers and course creators are automatically a moderator):
Moderation Type A) Participants need to wait till the teacher enters the room
Moderation Type B) Participants can already start (first User in room becomes moderator)
Moderation Type C) Every participant is automatically moderator when he/she enters the room
- 3 Room Types (Conference, Interview & Webinar)
- New Flag "Allow Recording": You can set in the room configuration now a flag that controls if the recording button is available or not
- Moodle Module languages: German, French, Spanish, Italian, Russian, Brazilian (OpenMeetings itself has around 30 languages)
- Clear and restructure conference creation form for Moodle moderators

Tutorials for installing OpenMeetings you can find here:
    https://cwiki.apache.org/confluence/display/OPENMEETINGS/Tutorials+for+installing+OpenMeetings+and+Tools

Development of OpenMeetings: Apache Build Server & JIRA Issue Navigator:

    https://builds.apache.org/view/M-R/view/OpenMeetings/
    https://issues.apache.org/jira/browse/OPENMEETINGS/?selectedTab=com.atlassian.jira.jira-projects-plugin:summary-panel

OpenMeetings Mailinglists:
    http://mail-archives.apache.org/mod_mbox/openmeetings-user
    http://mail-archives.apache.org/mod_mbox/openmeetings-dev

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4

Contributors

mee
Sebastian Wagner (Lead maintainer)
Picture of Michael Wuttke
Michael Wuttke: Contributor
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Y P
    Mon, Jun 11, 2018, 5:55 PM
    Ooops, sorry, it should be Moodle git 3.5 in my previous post.
  • Picture of Michael Wuttke
    Mon, Jun 11, 2018, 10:41 PM
    Hello Y P, Hello viljay,

    there is no support in the comments section on this page. Please note that we don't provide any support for this plugin in the comments section on this page anymore. Please have a look at the github repository of this plugin: https://github.com/openmeetings/openmeetings-moodle-plugin

    Please feel free to open an issue there.

    Greetings;
    Michael
  • Picture of Y P
    Wed, Jun 13, 2018, 11:34 PM
    Thanks Michael, I'll do it.
  • Picture of Alexandr Vedernikov
    Mon, May 20, 2019, 11:32 AM
    Hello.
    When will Openmeetings version 5 support?
    4.0.1 The plugin can not authenticate to Openmeetings 5.
  • Picture of Dmitriy Makarov
    Fri, Aug 2, 2019, 2:07 PM
    Hi there I am having difficulty with this plugin...
    I am running Moodle 3.7.1(Build: 20190708) with PHP 7.2 and Open Meeting 4.0.8
    As a result, I get an error while backing up:

    Status - Unfinished
    backup_auto_failed_on_course Sandbox
    Exception: cannotfindparentidforelement id

    When I remove openmeetings from the course, the backup works.
  • Picture of Michael Wuttke
    Tue, Aug 6, 2019, 7:41 PM
    Hello Dmitriy,

    there is no support in the comments section on this page. Please note that we don't provide any support for this plugin in the comments section on this page anymore. Please have a look at the github repository of this plugin: https://github.com/openmeetings/openmeetings-moodle-plugin

    Please feel free to open an issue there, with more details please.

    Greetings,
    Michael
  • Picture of Dmitriy Makarov
    Fri, Aug 16, 2019, 8:06 PM
    Thanks Michael, I did it
  • Picture of Marina González
    Wed, Oct 9, 2019, 6:49 AM
    No funciona. Lo instalas exactamente como viene en las instrucciones y te da un error. Además no existe el soporte, el link ese que ponen que se supone que es soporte es mentira. No hay absolutamente ninguna ayuda sobre este plugin.
  • Picture of Maxim Solodovnik
    Thu, Nov 21, 2019, 3:57 PM
    Hello @Marina González
    I can see no issues reported by you at https://github.com/openmeetings/openmeetings-moodle-plugin/issues
    As well as no emails to OM mailing lists

    Please provide detailed description what is not working for you and I'll try to help
  • Picture of The Nation
    Tue, Dec 3, 2019, 1:15 AM
    hi sir,
    thank you for providing the information, I am very thankful to moodle.com for providing this great information.
  • Picture of Rudi M
    Tue, Dec 10, 2019, 4:04 PM
    Hi there I am having difficulty with this plugin Openmeetings
    I am running Moodle 3.7.1+ with PHP 7.1 and Open Meeting 4.0.2
    The result when following the steps is
    Fault (Service error)
  • Picture of Maxim Solodovnik
    Tue, Dec 10, 2019, 4:16 PM
    @Rudi Mulya,
    OpenMeetings 4.0.2 is very much outdated, can you check with latest OM (4.0.9 or 5.0.0-M2)?

    Additionally you can turn on debug and get more detailed message from plugin
  • Picture of Rudi M
    Wed, Dec 11, 2019, 12:44 PM
    Hi Sir,
    i am very thank you.
    may I get info on how to download OM 4.0.9 for moodle
    please
  • Picture of Maxim Solodovnik
    Wed, Dec 11, 2019, 1:48 PM
    I believe there is some misunderstanding here
    There is mod_openmeetings 4.0.2 which is Moodle plugin for OpenMeetings
    And there is OpenMeetings 4.0.9/5.0.0-M2

    What is your environment?
  • Picture of Rudi M
    Fri, Dec 13, 2019, 2:23 PM
    I am running Moodle 3.7.2,
    I want to use openmeetings to embed breadboard simulators in digital engineering courses
1 2 3 4 5 6 7 8
Please login to post comments